Package ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost

# Class ForpostCamera

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera

All Implemented Interfaces:
  `Idable`

public class ForpostCamera extends ForpostBase

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForpostCamera()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `int`
  `getAccountObjectId()`
  `String`
  `getIpOrDomain()`
  `int`
  `getIsActive()`
  `String`
  `getLogin()`
  `int`
  `getMasterId()`
  `String`
  `getName()`
  `int`
  `getPort()`
  `ForpostCamera`
  `putValue(String name, Object value)`
  `ForpostCamera`
  `setAccountId(int accountId)`
  `ForpostCamera`
  `setAccountObjectId(int accountObjectId)`
  `ForpostCamera`
  `setData(String data)`
  `ForpostCamera`
  `setId(int id)`
  `ForpostCamera`
  `setIpOrDomain(String ipOrDomain)`
  `ForpostCamera`
  `setIsActive(int isActive)`
  `ForpostCamera`
  `setLogin(String login)`
  `ForpostCamera`
  `setMasterId(int masterId)`
  `ForpostCamera`
  `setName(String name)`
  `ForpostCamera`
  `setPort(int port)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase

  `get, getData, getId, getInt, getString, getString, put`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForpostCamera

    public ForpostCamera()

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### getAccountObjectId

    public int getAccountObjectId()

  - ### getIpOrDomain

    public String getIpOrDomain()

  - ### getIsActive

    public int getIsActive()

  - ### getLogin

    public String getLogin()

  - ### getMasterId

    public int getMasterId()

  - ### getName

    public String getName()

  - ### getPort

    public int getPort()

  - ### putValue

    public ForpostCamera putValue(String name, Object value)

  - ### setAccountId

    public ForpostCamera setAccountId(int accountId)

  - ### setAccountObjectId

    public ForpostCamera setAccountObjectId(int accountObjectId)

  - ### setData

    public ForpostCamera setData(String data)
    Overrides:
      `setData` in class `ForpostBase`

  - ### setId

    public ForpostCamera setId(int id)
    Overrides:
      `setId` in class `ForpostBase`

  - ### setIpOrDomain

    public ForpostCamera setIpOrDomain(String ipOrDomain)

  - ### setIsActive

    public ForpostCamera setIsActive(int isActive)

  - ### setLogin

    public ForpostCamera setLogin(String login)

  - ### setMasterId

    public ForpostCamera setMasterId(int masterId)

  - ### setName

    public ForpostCamera setName(String name)

  - ### setPort

    public ForpostCamera setPort(int port)